!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-10 21:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 112

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1134)
  integer, parameter :: nGC_3229 = 1
  integer, parameter :: nGC_3228 = 2
  integer, parameter :: nGC_3224 = 3
  integer, parameter :: nGC_68 = 4
  integer, parameter :: nGC_3223 = 5
  integer, parameter :: nGC_3222 = 6
  integer, parameter :: nGC_3139 = 7
  integer, parameter :: nGC_3138 = 8
  integer, parameter :: nGC_3130 = 9
  integer, parameter :: nGC_3137 = 10
  integer, parameter :: nGC_3136 = 11
  integer, parameter :: nGC_3679 = 12
  integer, parameter :: nGC_3189 = 13
  integer, parameter :: nGC_MZ_GF = 14
  integer, parameter :: nGC_28 = 15
  integer, parameter :: nGC_29 = 16
  integer, parameter :: nGC_3603 = 17
  integer, parameter :: nGC_22 = 18
  integer, parameter :: nGC_23 = 19
  integer, parameter :: nGC_20 = 20
  integer, parameter :: nGC_21 = 21
  integer, parameter :: nGC_26 = 22
  integer, parameter :: nGC_27 = 23
  integer, parameter :: nGC_24 = 24
  integer, parameter :: nGC_25 = 25
  integer, parameter :: nGC_34 = 26
  integer, parameter :: nGC_152 = 27
  integer, parameter :: nGC_3181 = 28
  integer, parameter :: nGC_GG = 29
  integer, parameter :: nGC_3185 = 30
  integer, parameter :: nGC_40 = 31
  integer, parameter :: nGC_3618 = 32
  integer, parameter :: nGC_3619 = 33
  integer, parameter :: nGC_3169 = 34
  integer, parameter :: nGC_1352 = 35
  integer, parameter :: nGC_6193 = 36
  integer, parameter :: nGC_74 = 37
  integer, parameter :: nGC_3669 = 38
  integer, parameter :: nGC_MMW_GF = 39
  integer, parameter :: nGC_3667 = 40
  integer, parameter :: nGC_3666 = 41
  integer, parameter :: nGC_3665 = 42
  integer, parameter :: nGC_3664 = 43
  integer, parameter :: nGC_3663 = 44
  integer, parameter :: nGC_3661 = 45
  integer, parameter :: nGC_75 = 46
  integer, parameter :: nGC_76 = 47
  integer, parameter :: nGC_77 = 48
  integer, parameter :: nGC_3182 = 49
  integer, parameter :: nGC_3183 = 50
  integer, parameter :: nGC_3186 = 51
  integer, parameter :: nGC_3187 = 52
  integer, parameter :: nGC_3184 = 53
  integer, parameter :: nGC_70 = 54
  integer, parameter :: nGC_GGH = 55
  integer, parameter :: nGC_86 = 56
  integer, parameter :: nGC_72 = 57
  integer, parameter :: nGC_3164 = 58
  integer, parameter :: nGC_3165 = 59
  integer, parameter :: nGC_3166 = 60
  integer, parameter :: nGC_3167 = 61
  integer, parameter :: nGC_3160 = 62
  integer, parameter :: nGC_3161 = 63
  integer, parameter :: nGC_3162 = 64
  integer, parameter :: nGC_3163 = 65
  integer, parameter :: nGC_5300 = 66
  integer, parameter :: nGC_3168 = 67
  integer, parameter :: nGC_I = 68
  integer, parameter :: nGC_69 = 69
  integer, parameter :: nGC_230 = 70
  integer, parameter :: nGC_3 = 71
  integer, parameter :: nGC_2 = 72
  integer, parameter :: nGC_1 = 73
  integer, parameter :: nGC_7 = 74
  integer, parameter :: nGC_6 = 75
  integer, parameter :: nGC_5 = 76
  integer, parameter :: nGC_4 = 77
  integer, parameter :: nGC_9 = 78
  integer, parameter :: nGC_8 = 79
  integer, parameter :: nGC_48 = 80
  integer, parameter :: nGC_49 = 81
  integer, parameter :: nGC_3103 = 82
  integer, parameter :: nGC_604 = 83
  integer, parameter :: nGC_3100 = 84
  integer, parameter :: nGC_53 = 85
  integer, parameter :: nGC_52 = 86
  integer, parameter :: nGC_51 = 87
  integer, parameter :: nGC_50 = 88
  integer, parameter :: nGC_57 = 89
  integer, parameter :: nGC_56 = 90
  integer, parameter :: nGC_55 = 91
  integer, parameter :: nGC_54 = 92
  integer, parameter :: nGC_6718 = 93
  integer, parameter :: nGC_59 = 94
  integer, parameter :: nGC_58 = 95
  integer, parameter :: nGC_3131 = 96
  integer, parameter :: nGC_3107 = 97
  integer, parameter :: nGC_MI = 98
  integer, parameter :: nGC_MC = 99
  integer, parameter :: nGC_3135 = 100
  integer, parameter :: nGC_MB = 101
  integer, parameter :: nGC_3134 = 102
  integer, parameter :: nGC_1038 = 103
  integer, parameter :: nGC_3234 = 104
  integer, parameter :: nGC_5083 = 105
  integer, parameter :: nGC_MD = 106
  integer, parameter :: nGC_MZ = 107
  integer, parameter :: nGC_5691 = 108
  integer, parameter :: nGC_3128 = 109
  integer, parameter :: nGC_3129 = 110
  integer, parameter :: nGC_3285 = 111
  integer, parameter :: nGC_3121 = 112
  integer, parameter :: nGC_8085 = 113
  integer, parameter :: nGC_MU = 114
  integer, parameter :: nGC_MT = 115
  integer, parameter :: nGC_MH = 116
  integer, parameter :: nGC_3132 = 117
  integer, parameter :: nGC_5230 = 118
  integer, parameter :: nGC_5236 = 119
  integer, parameter :: nGC_83 = 120
  integer, parameter :: nGC_3180 = 121
  integer, parameter :: nGC_3563 = 122
  integer, parameter :: nGC_17 = 123
  integer, parameter :: nGC_16 = 124
  integer, parameter :: nGC_15 = 125
  integer, parameter :: nGC_14 = 126
  integer, parameter :: nGC_13 = 127
  integer, parameter :: nGC_12 = 128
  integer, parameter :: nGC_11 = 129
  integer, parameter :: nGC_10 = 130
  integer, parameter :: nGC_19 = 131
  integer, parameter :: nGC_18 = 132
  integer, parameter :: nGC_5483 = 133
  integer, parameter :: nGC_MW_GF = 134
  integer, parameter :: nGC_5243 = 135
  integer, parameter :: nGC_7267 = 136
  integer, parameter :: nGC_3201 = 137
  integer, parameter :: nGC_3199 = 138
  integer, parameter :: nGC_3213 = 139
  integer, parameter :: nGC_3668 = 140
  integer, parameter :: nGC_3375 = 141
  integer, parameter :: nGC_5098 = 142
  integer, parameter :: nGC_5099 = 143
  integer, parameter :: nGC_3197 = 144
  integer, parameter :: nGC_6318 = 145
  integer, parameter :: nGC_3193 = 146
  integer, parameter :: nGC_634 = 147
  integer, parameter :: nGC_5053 = 148
  integer, parameter :: nGC_5057 = 149
  integer, parameter :: nGC_3674 = 150
  integer, parameter :: nGC_7363 = 151
  integer, parameter :: nGC_3676 = 152
  integer, parameter :: nGC_3677 = 153
  integer, parameter :: nGC_3670 = 154
  integer, parameter :: nGC_3671 = 155
  integer, parameter :: nGC_3672 = 156
  integer, parameter :: nGC_3673 = 157
  integer, parameter :: nGC_3270 = 158
  integer, parameter :: nGC_3271 = 159
  integer, parameter :: nGC_3272 = 160
  integer, parameter :: nGC_5464 = 161
  integer, parameter :: nGC_3274 = 162
  integer, parameter :: nGC_3278 = 163
  integer, parameter :: nGC_63 = 164
  integer, parameter :: nGC_5472 = 165
  integer, parameter :: nGC_5473 = 166
  integer, parameter :: nGC_3151 = 167
  integer, parameter :: nGC_3153 = 168
  integer, parameter :: nGC_3152 = 169
  integer, parameter :: nGC_3155 = 170
  integer, parameter :: nGC_3157 = 171
  integer, parameter :: nGC_5478 = 172
  integer, parameter :: nGC_HHHH = 173
  integer, parameter :: nGC_8005 = 174
  integer, parameter :: nGC_MM = 175
  integer, parameter :: nGC_3233 = 176
  integer, parameter :: nGC_3496 = 177
  integer, parameter :: nGC_5367 = 178
  integer, parameter :: nGC_5362 = 179
  integer, parameter :: nGC_6317 = 180
  integer, parameter :: nGC_8020 = 181
  integer, parameter :: nGC_8021 = 182
  integer, parameter :: nGC_6319 = 183
  integer, parameter :: nGC_246 = 184
  integer, parameter :: nGC_3273 = 185
  integer, parameter :: nGC_44 = 186
  integer, parameter :: nGC_45 = 187
  integer, parameter :: nGC_46 = 188
  integer, parameter :: nGC_47 = 189
  integer, parameter :: nGC_42 = 190
  integer, parameter :: nGC_43 = 191
  integer, parameter :: nGC_3219 = 192
  integer, parameter :: nGC_3588 = 193
  integer, parameter :: nGC_3630 = 194
  integer, parameter :: nGC_5298 = 195
  integer, parameter :: nGC_1126 = 196
  integer, parameter :: nGC_3208 = 197
  integer, parameter :: nGC_3632 = 198
  integer, parameter :: nGC_3636 = 199
  integer, parameter :: nGC_8083 = 200
  integer, parameter :: nGC_3200 = 201
  integer, parameter :: nGC_3203 = 202
  integer, parameter :: nGC_3202 = 203
  integer, parameter :: nGC_3205 = 204
  integer, parameter :: nGC_3204 = 205
  integer, parameter :: nGC_3207 = 206
  integer, parameter :: nGC_3206 = 207
  integer, parameter :: nGC_3440 = 208
  integer, parameter :: nGC_3631 = 209
  integer, parameter :: nGC_3447 = 210
  integer, parameter :: nGC_3416 = 211
  integer, parameter :: nGC_3445 = 212
  integer, parameter :: nGC_6031 = 213
  integer, parameter :: nGC_6032 = 214
  integer, parameter :: nGC_3115 = 215
  integer, parameter :: nGC_3114 = 216
  integer, parameter :: nGC_3117 = 217
  integer, parameter :: nGC_3116 = 218
  integer, parameter :: nGC_3111 = 219
  integer, parameter :: nGC_3110 = 220
  integer, parameter :: nGC_3113 = 221
  integer, parameter :: nGC_3112 = 222
  integer, parameter :: nGC_3119 = 223
  integer, parameter :: nGC_3118 = 224
  integer, parameter :: nGC_7351 = 225
  integer, parameter :: nGC_3156 = 226
  integer, parameter :: nGC_3682 = 227
  integer, parameter :: nGC_3296 = 228
  integer, parameter :: nGC_4974 = 229
  integer, parameter :: nGC_5066 = 230
  integer, parameter :: nGC_3497 = 231
  integer, parameter :: nGC_3159 = 232
  integer, parameter :: nGC_GPGMGPGM = 233
  integer, parameter :: nGC_9213 = 234
  integer, parameter :: nGC_3525 = 235
  integer, parameter :: nGC_3593 = 236
  integer, parameter :: nGC_3595 = 237
  integer, parameter :: nGC_3597 = 238
  integer, parameter :: nGC_3596 = 239
  integer, parameter :: nGC_MTA = 240
  integer, parameter :: nGC_3523 = 241
  integer, parameter :: nGC_5557 = 242
  integer, parameter :: nGC_5556 = 243
  integer, parameter :: nGC_5433 = 244
  integer, parameter :: nGC_3638 = 245
  integer, parameter :: nGC_5558 = 246
  integer, parameter :: nGC_7368 = 247
  integer, parameter :: nGC_7369 = 248
  integer, parameter :: nGC_3678 = 249
  integer, parameter :: nGC_3396 = 250
  integer, parameter :: nGC_5192 = 251
  integer, parameter :: nGC_5191 = 252
  integer, parameter :: nGC_5786 = 253
  integer, parameter :: nGC_5787 = 254
  integer, parameter :: nGC_71 = 255
  integer, parameter :: nGC_6773 = 256
  integer, parameter :: nGC_73 = 257
  integer, parameter :: nGC_3675 = 258
  integer, parameter :: nGC_79 = 259
  integer, parameter :: nGC_78 = 260
  integer, parameter :: nGC_5788 = 261
  integer, parameter :: nGC_7361 = 262
  integer, parameter :: nGC_HHGG = 263
  integer, parameter :: nGC_3120 = 264
  integer, parameter :: nGC_7367 = 265
  integer, parameter :: nGC_4959 = 266
  integer, parameter :: nGC_7364 = 267
  integer, parameter :: nGC_3227 = 268
  integer, parameter :: nGC_3235 = 269
  integer, parameter :: nGC_4951 = 270
  integer, parameter :: nGC_4952 = 271
  integer, parameter :: nGC_3567 = 272
  integer, parameter :: nGC_3230 = 273
  integer, parameter :: nGC_3547 = 274
  integer, parameter :: nGC_3226 = 275
  integer, parameter :: nGC_3232 = 276
  integer, parameter :: nGC_3643 = 277
  integer, parameter :: nGC_3642 = 278
  integer, parameter :: nGC_3647 = 279
  integer, parameter :: nGC_3646 = 280
  integer, parameter :: nGC_5123 = 281
  integer, parameter :: nGC_3367 = 282
  integer, parameter :: nGC_3365 = 283
  integer, parameter :: nGC_3249 = 284
  integer, parameter :: nGC_3248 = 285
  integer, parameter :: nGC_3245 = 286
  integer, parameter :: nGC_3236 = 287
  integer, parameter :: nGC_MS = 288
  integer, parameter :: nGC_3148 = 289
  integer, parameter :: nGC_3149 = 290
  integer, parameter :: nGC_3147 = 291
  integer, parameter :: nGC_3144 = 292
  integer, parameter :: nGC_3145 = 293
  integer, parameter :: nGC_3142 = 294
  integer, parameter :: nGC_3143 = 295
  integer, parameter :: nGC_3140 = 296
  integer, parameter :: nGC_3141 = 297
  integer, parameter :: nGC_7349 = 298
  integer, parameter :: nGC_5031 = 299
  integer, parameter :: nGC_5466 = 300
  integer, parameter :: nGC_214 = 301
  integer, parameter :: nGC_5465 = 302
  integer, parameter :: nGC_3092 = 303
  integer, parameter :: nGC_3093 = 304
  integer, parameter :: nGC_3094 = 305
  integer, parameter :: nGC_3095 = 306
  integer, parameter :: nGC_3096 = 307
  integer, parameter :: nGC_3097 = 308
  integer, parameter :: nGC_3098 = 309
  integer, parameter :: nGC_3099 = 310
  integer, parameter :: nGC_3610 = 311
  integer, parameter :: nGC_3611 = 312
  integer, parameter :: nGC_3616 = 313
  integer, parameter :: nGC_3617 = 314
  integer, parameter :: nGC_3101 = 315
  integer, parameter :: nGC_3225 = 316
  integer, parameter :: nGC_8045 = 317
  integer, parameter :: nGC_3221 = 318
  integer, parameter :: nGC_6320 = 319
  integer, parameter :: nGC_6323 = 320
  integer, parameter :: nGC_6325 = 321
  integer, parameter :: nGC_6324 = 322
  integer, parameter :: nGC_6326 = 323
  integer, parameter :: nGC_5922 = 324
  integer, parameter :: nGC_3127 = 325
  integer, parameter :: nGC_5925 = 326
  integer, parameter :: nGC_3146 = 327
  integer, parameter :: nGC_MW = 328
  integer, parameter :: nGC_3220 = 329
  integer, parameter :: nGC_39 = 330
  integer, parameter :: nGC_38 = 331
  integer, parameter :: nGC_3277 = 332
  integer, parameter :: nGC_31 = 333
  integer, parameter :: nGC_30 = 334
  integer, parameter :: nGC_33 = 335
  integer, parameter :: nGC_32 = 336
  integer, parameter :: nGC_35 = 337
  integer, parameter :: nGC_37 = 338
  integer, parameter :: nGC_36 = 339
  integer, parameter :: nGC_144 = 340
  integer, parameter :: nGC_3301 = 341
  integer, parameter :: nGC_5504 = 342
  integer, parameter :: nGC_5505 = 343
  integer, parameter :: nGC_6785 = 344
  integer, parameter :: nGC_148 = 345
  integer, parameter :: nGC_5501 = 346
  integer, parameter :: nGC_3104 = 347
  integer, parameter :: nGC_3304 = 348
  integer, parameter :: nGC_3609 = 349
  integer, parameter :: nGC_3608 = 350
  integer, parameter :: nGC_3605 = 351
  integer, parameter :: nGC_3604 = 352
  integer, parameter :: nGC_3607 = 353
  integer, parameter :: nGC_3606 = 354
  integer, parameter :: nGC_3601 = 355
  integer, parameter :: nGC_3600 = 356
  integer, parameter :: nGC_3351 = 357
  integer, parameter :: nGC_3602 = 358
  integer, parameter :: nGC_6026 = 359
  integer, parameter :: nGC_6027 = 360
  integer, parameter :: nGC_6978 = 361
  integer, parameter :: nGC_6975 = 362
  integer, parameter :: nGC_6028 = 363
  integer, parameter :: nGC_314 = 364
  integer, parameter :: nGC_3150 = 365
  integer, parameter :: nGC_3322 = 366
  integer, parameter :: nGC_3320 = 367
  integer, parameter :: nGC_3326 = 368
  integer, parameter :: nGC_3324 = 369
  integer, parameter :: nGC_3154 = 370
  integer, parameter :: nGC_3102 = 371
  integer, parameter :: nGC_3452 = 372
  integer, parameter :: nGC_3453 = 373
  integer, parameter :: nGC_3106 = 374
  integer, parameter :: nGC_3455 = 375
  integer, parameter :: nGC_3456 = 376
  integer, parameter :: nGC_3105 = 377
  integer, parameter :: nGC_3108 = 378
  integer, parameter :: nGC_3109 = 379
  integer, parameter :: nGC_ME = 380
  integer, parameter :: nGC_6698 = 381
  integer, parameter :: nGC_3621 = 382
  integer, parameter :: nGC_3158 = 383
  integer, parameter :: nGC_3513 = 384
  integer, parameter :: nGC_3512 = 385
  integer, parameter :: nGC_3515 = 386
  integer, parameter :: nGC_1296 = 387
  integer, parameter :: nGC_6061 = 388
  integer, parameter :: nGC_5179 = 389
  integer, parameter :: nGC_6293 = 390
  integer, parameter :: nGC_6292 = 391
  integer, parameter :: nGC_6295 = 392
  integer, parameter :: nGC_6294 = 393
  integer, parameter :: nGC_3216 = 394
  integer, parameter :: nGC_3217 = 395
  integer, parameter :: nGC_3214 = 396
  integer, parameter :: nGC_3215 = 397
  integer, parameter :: nGC_3212 = 398
  integer, parameter :: nGC_3198 = 399
  integer, parameter :: nGC_3210 = 400
  integer, parameter :: nGC_3211 = 401
  integer, parameter :: nGC_3195 = 402
  integer, parameter :: nGC_3194 = 403
  integer, parameter :: nGC_3196 = 404
  integer, parameter :: nGC_3191 = 405
  integer, parameter :: nGC_3190 = 406
  integer, parameter :: nGC_3218 = 407
  integer, parameter :: nGC_3192 = 408
  integer, parameter :: nGC_6784 = 409
  integer, parameter :: nGC_3177 = 410
  integer, parameter :: nGC_3176 = 411
  integer, parameter :: nGC_3175 = 412
  integer, parameter :: nGC_3174 = 413
  integer, parameter :: nGC_3173 = 414
  integer, parameter :: nGC_3172 = 415
  integer, parameter :: nGC_3171 = 416
  integer, parameter :: nGC_3170 = 417
  integer, parameter :: nGC_3179 = 418
  integer, parameter :: nGC_3178 = 419
  integer, parameter :: nGC_6365 = 420
  integer, parameter :: nGC_3281 = 421
  integer, parameter :: nGC_6366 = 422
  integer, parameter :: nGC_6360 = 423
  integer, parameter :: nGC_6363 = 424
  integer, parameter :: nGC_3280 = 425
  integer, parameter :: nGC_6411 = 426
  integer, parameter :: nGC_6410 = 427
  integer, parameter :: nGC_320 = 428
  integer, parameter :: nGC_3580 = 429
  integer, parameter :: nGC_3581 = 430
  integer, parameter :: nGC_6167 = 431
  integer, parameter :: nGC_6164 = 432
  integer, parameter :: nGC_6169 = 433
  integer, parameter :: nGC_5828 = 434
  integer, parameter :: nGC_5826 = 435
  integer, parameter :: nGC_5821 = 436
  integer, parameter :: nGC_3122 = 437
  integer, parameter :: nGC_5382 = 438
  integer, parameter :: nGC_3123 = 439
  integer, parameter :: nGC_5386 = 440
  integer, parameter :: nGC_5387 = 441
  integer, parameter :: nGC_5385 = 442
  integer, parameter :: nGC_5261 = 443
  integer, parameter :: nGC_3124 = 444
  integer, parameter :: nGC_5388 = 445
  integer, parameter :: nGC_5389 = 446
  integer, parameter :: nGC_184 = 447
  integer, parameter :: nGC_3125 = 448
  integer, parameter :: nGC_88 = 449
  integer, parameter :: nGC_3126 = 450
  integer, parameter :: nGC_80 = 451
  integer, parameter :: nGC_81 = 452
  integer, parameter :: nGC_82 = 453
  integer, parameter :: nGC_3530 = 454
  integer, parameter :: nGC_3524 = 455
  integer, parameter :: nGC_85 = 456
  integer, parameter :: nGC_3350 = 457
  integer, parameter :: nGC_87 = 458
  integer, parameter :: nGC_5185 = 459
  integer, parameter :: nGC_41 = 460
  integer, parameter :: nGC_3231 = 461
  integer, parameter :: nGC_66 = 462
  integer, parameter :: nGC_67 = 463
  integer, parameter :: nGC_64 = 464
  integer, parameter :: nGC_62 = 465
  integer, parameter :: nGC_3508 = 466
  integer, parameter :: nGC_60 = 467
  integer, parameter :: nGC_61 = 468
  integer, parameter :: nGC_6062 = 469
  integer, parameter :: nGC_6063 = 470
  integer, parameter :: nGC_6060 = 471
  integer, parameter :: nGC_6066 = 472
  integer, parameter :: nGC_6064 = 473
  integer, parameter :: nGC_6065 = 474
  integer, parameter :: nGC_4961 = 475
  integer, parameter :: nGC_3133 = 476
  integer, parameter :: nGC_3209 = 477
  integer, parameter :: nGC_3188 = 478
  integer, parameter :: nGC_84 = 479
  integer, parameter :: nGC_HHH = 480
  integer, parameter :: nGC_7362 = 481
  integer, parameter :: nGC_65 = 482
  integer, parameter :: nGC_3441 = 483
  integer, parameter :: nGC_112 = 484
  integer, parameter :: nGC_3656 = 485
  integer, parameter :: nGC_3657 = 486
  integer, parameter :: nGC_3654 = 487
  integer, parameter :: nGC_3655 = 488
  integer, parameter :: nGC_3559 = 489
  integer, parameter :: nGC_3558 = 490
  integer, parameter :: nGC_3650 = 491
  integer, parameter :: nGC_3651 = 492
  integer, parameter :: nGC_3555 = 493
  integer, parameter :: nGC_3554 = 494
  integer, parameter :: nGC_3557 = 495
  integer, parameter :: nGC_3556 = 496
  integer, parameter :: nGC_3551 = 497
  integer, parameter :: nGC_3550 = 498
  integer, parameter :: nGC_3553 = 499
  integer, parameter :: nGC_3552 = 500
  integer, parameter :: nGC_3388 = 501
  integer, parameter :: nGC_3389 = 502
  integer, parameter :: nGC_3380 = 503
  integer, parameter :: nGC_3381 = 504
  integer, parameter :: nGC_3382 = 505
  integer, parameter :: nGC_3383 = 506
  integer, parameter :: nGC_3384 = 507
  integer, parameter :: nGC_3385 = 508
  integer, parameter :: nGC_3386 = 509
  integer, parameter :: nGC_3387 = 510
  integer, parameter :: nGC_3313 = 511
  integer, parameter :: nGC_3311 = 512
  integer, parameter :: nGC_3310 = 513
  integer, parameter :: nGC_3317 = 514
  integer, parameter :: nGC_3316 = 515
  integer, parameter :: nGC_3315 = 516
  integer, parameter :: nGC_3314 = 517
  integer, parameter :: nGC_3319 = 518
  integer, parameter :: nGC_3257 = 519
  integer, parameter :: nGC_3429 = 520
  integer, parameter :: nGC_3428 = 521
  integer, parameter :: nGC_3658 = 522
  integer, parameter :: nGC_3421 = 523
  integer, parameter :: nGC_3420 = 524
  integer, parameter :: nGC_3423 = 525
  integer, parameter :: nGC_3422 = 526
  integer, parameter :: nGC_3425 = 527
  integer, parameter :: nGC_3424 = 528
  integer, parameter :: nGC_3427 = 529
  integer, parameter :: nGC_3426 = 530
  integer, parameter :: nGC_5001 = 531
  integer, parameter :: nGC_5003 = 532
  integer, parameter :: nGC_5002 = 533
  integer, parameter :: nGC_5004 = 534
  integer, parameter :: nGC_5007 = 535
  integer, parameter :: nGC_5344 = 536
  integer, parameter :: nGC_5221 = 537
  integer, parameter :: nGC_5222 = 538
  integer, parameter :: nGC_8002 = 539
  integer, parameter :: nGC_8003 = 540
  integer, parameter :: nGC_6446 = 541
  integer, parameter :: nGC_8006 = 542
  integer, parameter :: nGC_6443 = 543
  integer, parameter :: nGC_6448 = 544
  integer, parameter :: nGC_6449 = 545
  integer, parameter :: nGC_11029 = 546
  integer, parameter :: nGC_5368 = 547
  integer, parameter :: nGC_5369 = 548
  integer, parameter :: nGC_5533 = 549
  integer, parameter :: nGC_5785 = 550
  integer, parameter :: nGC_3348 = 551
  integer, parameter :: nGC_3349 = 552
  integer, parameter :: nGC_3344 = 553
  integer, parameter :: nGC_3613 = 554
  integer, parameter :: nGC_3346 = 555
  integer, parameter :: nGC_3347 = 556
  integer, parameter :: nGC_3340 = 557
  integer, parameter :: nGC_3341 = 558
  integer, parameter :: nGC_3342 = 559
  integer, parameter :: nGC_3343 = 560
  integer, parameter :: nGC_6059 = 561
  integer, parameter :: nGC_6695 = 562
  integer, parameter :: nGC_6694 = 563
  integer, parameter :: nGC_6697 = 564
  integer, parameter :: nGC_6696 = 565
  integer, parameter :: nGC_6693 = 566
  integer, parameter :: nGC_3312 = 567
  integer, parameter :: nGC_6699 = 568
  integer, parameter :: nGC_3259 = 569
  integer, parameter :: nGC_4937 = 570
  integer, parameter :: nGC_4933 = 571
  integer, parameter :: nGC_4930 = 572
  integer, parameter :: nGC_3506 = 573
  integer, parameter :: nGC_3507 = 574
  integer, parameter :: nGC_3504 = 575
  integer, parameter :: nGC_3502 = 576
  integer, parameter :: nGC_3501 = 577
  integer, parameter :: nGC_3465 = 578
  integer, parameter :: nGC_3464 = 579
  integer, parameter :: nGC_3467 = 580
  integer, parameter :: nGC_3466 = 581
  integer, parameter :: nGC_3461 = 582
  integer, parameter :: nGC_3460 = 583
  integer, parameter :: nGC_3463 = 584
  integer, parameter :: nGC_3462 = 585
  integer, parameter :: nGC_3252 = 586
  integer, parameter :: nGC_5046 = 587
  integer, parameter :: nGC_5041 = 588
  integer, parameter :: nGC_3253 = 589
  integer, parameter :: nGC_7370 = 590
  integer, parameter :: nGC_3251 = 591
  integer, parameter :: nGC_5169 = 592
  integer, parameter :: nGC_5167 = 593
  integer, parameter :: nGC_5165 = 594
  integer, parameter :: nGC_5160 = 595
  integer, parameter :: nGC_3263 = 596
  integer, parameter :: nGC_3262 = 597
  integer, parameter :: nGC_3261 = 598
  integer, parameter :: nGC_3260 = 599
  integer, parameter :: nGC_3267 = 600
  integer, parameter :: nGC_3266 = 601
  integer, parameter :: nGC_3265 = 602
  integer, parameter :: nGC_3264 = 603
  integer, parameter :: nGC_3269 = 604
  integer, parameter :: nGC_3268 = 605
  integer, parameter :: nGC_5304 = 606
  integer, parameter :: nGC_5305 = 607
  integer, parameter :: nGC_6404 = 608
  integer, parameter :: nGC_6405 = 609
  integer, parameter :: nGC_6406 = 610
  integer, parameter :: nGC_6407 = 611
  integer, parameter :: nGC_6172 = 612
  integer, parameter :: nGC_6272 = 613
  integer, parameter :: nGC_6270 = 614
  integer, parameter :: nGC_3652 = 615
  integer, parameter :: nGC_5830 = 616
  integer, parameter :: nGC_5575 = 617
  integer, parameter :: nGC_5574 = 618
  integer, parameter :: nGC_5571 = 619
  integer, parameter :: nGC_5570 = 620
  integer, parameter :: nGC_3487 = 621
  integer, parameter :: nGC_5376 = 622
  integer, parameter :: nGC_5373 = 623
  integer, parameter :: nGC_3489 = 624
  integer, parameter :: nGC_5370 = 625
  integer, parameter :: nGC_6306 = 626
  integer, parameter :: nGC_6728 = 627
  integer, parameter :: nGC_566 = 628
  integer, parameter :: nGC_562 = 629
  integer, parameter :: nGC_3592 = 630
  integer, parameter :: nGC_568 = 631
  integer, parameter :: nGC_3250 = 632
  integer, parameter :: nGC_6719 = 633
  integer, parameter :: nGC_4972 = 634
  integer, parameter :: nGC_4973 = 635
  integer, parameter :: nGC_4976 = 636
  integer, parameter :: nGC_4977 = 637
  integer, parameter :: nGC_4975 = 638
  integer, parameter :: nGC_4978 = 639
  integer, parameter :: nGC_5283 = 640
  integer, parameter :: nGC_5284 = 641
  integer, parameter :: nGC_3623 = 642
  integer, parameter :: nGC_3622 = 643
  integer, parameter :: nGC_3548 = 644
  integer, parameter :: nGC_10409 = 645
  integer, parameter :: nGC_3626 = 646
  integer, parameter :: nGC_3625 = 647
  integer, parameter :: nGC_3624 = 648
  integer, parameter :: nGC_3542 = 649
  integer, parameter :: nGC_3543 = 650
  integer, parameter :: nGC_3629 = 651
  integer, parameter :: nGC_3628 = 652
  integer, parameter :: nGC_3546 = 653
  integer, parameter :: nGC_10407 = 654
  integer, parameter :: nGC_3544 = 655
  integer, parameter :: nGC_3545 = 656
  integer, parameter :: nGC_5122 = 657
  integer, parameter :: nGC_5120 = 658
  integer, parameter :: nGC_5121 = 659
  integer, parameter :: nGC_5124 = 660
  integer, parameter :: nGC_5125 = 661
  integer, parameter :: nGC_5080 = 662
  integer, parameter :: nGC_5084 = 663
  integer, parameter :: nGC_5694 = 664
  integer, parameter :: nGC_5695 = 665
  integer, parameter :: nGC_5690 = 666
  integer, parameter :: nGC_3300 = 667
  integer, parameter :: nGC_3305 = 668
  integer, parameter :: nGC_3307 = 669
  integer, parameter :: nGC_3308 = 670
  integer, parameter :: nGC_3309 = 671
  integer, parameter :: nGC_3436 = 672
  integer, parameter :: nGC_3437 = 673
  integer, parameter :: nGC_3434 = 674
  integer, parameter :: nGC_3435 = 675
  integer, parameter :: nGC_3432 = 676
  integer, parameter :: nGC_3433 = 677
  integer, parameter :: nGC_3430 = 678
  integer, parameter :: nGC_3431 = 679
  integer, parameter :: nGC_3438 = 680
  integer, parameter :: nGC_3439 = 681
  integer, parameter :: nGC_3283 = 682
  integer, parameter :: nGC_3282 = 683
  integer, parameter :: nGC_3286 = 684
  integer, parameter :: nGC_3537 = 685
  integer, parameter :: nGC_3535 = 686
  integer, parameter :: nGC_3534 = 687
  integer, parameter :: nGC_3533 = 688
  integer, parameter :: nGC_3532 = 689
  integer, parameter :: nGC_8084 = 690
  integer, parameter :: nGC_5629 = 691
  integer, parameter :: nGC_5978 = 692
  integer, parameter :: nGC_6298 = 693
  integer, parameter :: nGC_5977 = 694
  integer, parameter :: nGC_5238 = 695
  integer, parameter :: nGC_5239 = 696
  integer, parameter :: nGC_5233 = 697
  integer, parameter :: nGC_5237 = 698
  integer, parameter :: nGC_3398 = 699
  integer, parameter :: nGC_3659 = 700
  integer, parameter :: nGC_3327 = 701
  integer, parameter :: nGC_3393 = 702
  integer, parameter :: nGC_3392 = 703
  integer, parameter :: nGC_5485 = 704
  integer, parameter :: nGC_5486 = 705
  integer, parameter :: nGC_5244 = 706
  integer, parameter :: nGC_5240 = 707
  integer, parameter :: nGC_5721 = 708
  integer, parameter :: nGC_3378 = 709
  integer, parameter :: nGC_3371 = 710
  integer, parameter :: nGC_3370 = 711
  integer, parameter :: nGC_3373 = 712
  integer, parameter :: nGC_3372 = 713
  integer, parameter :: nGC_3374 = 714
  integer, parameter :: nGC_3377 = 715
  integer, parameter :: nGC_3376 = 716
  integer, parameter :: nGC_5791 = 717
  integer, parameter :: nGC_5792 = 718
  integer, parameter :: nGC_4943 = 719
  integer, parameter :: nGC_9216 = 720
  integer, parameter :: nGC_9217 = 721
  integer, parameter :: nGC_4946 = 722
  integer, parameter :: nGC_4944 = 723
  integer, parameter :: nGC_3573 = 724
  integer, parameter :: nGC_3572 = 725
  integer, parameter :: nGC_3571 = 726
  integer, parameter :: nGC_3570 = 727
  integer, parameter :: nGC_3577 = 728
  integer, parameter :: nGC_3576 = 729
  integer, parameter :: nGC_3575 = 730
  integer, parameter :: nGC_3574 = 731
  integer, parameter :: nGC_3579 = 732
  integer, parameter :: nGC_3578 = 733
  integer, parameter :: nGC_5051 = 734
  integer, parameter :: nGC_5056 = 735
  integer, parameter :: nGC_5665 = 736
  integer, parameter :: nGC_3366 = 737
  integer, parameter :: nGC_5666 = 738
  integer, parameter :: nGC_6789 = 739
  integer, parameter :: nGC_3275 = 740
  integer, parameter :: nGC_5460 = 741
  integer, parameter :: nGC_3279 = 742
  integer, parameter :: nGC_5704 = 743
  integer, parameter :: nGC_5705 = 744
  integer, parameter :: nGC_6430 = 745
  integer, parameter :: nGC_3409 = 746
  integer, parameter :: nGC_3406 = 747
  integer, parameter :: nGC_3405 = 748
  integer, parameter :: nGC_3404 = 749
  integer, parameter :: nGC_3403 = 750
  integer, parameter :: nGC_3402 = 751
  integer, parameter :: nGC_3401 = 752
  integer, parameter :: nGC_3400 = 753
  integer, parameter :: nGC_11050 = 754
  integer, parameter :: nGC_3246 = 755
  integer, parameter :: nGC_5029 = 756
  integer, parameter :: nGC_6413 = 757
  integer, parameter :: nGC_3368 = 758
  integer, parameter :: nGC_6260 = 759
  integer, parameter :: nGC_6261 = 760
  integer, parameter :: nGC_5206 = 761
  integer, parameter :: nGC_5562 = 762
  integer, parameter :: nGC_452 = 763
  integer, parameter :: nGC_6502 = 764
  integer, parameter :: nGC_3490 = 765
  integer, parameter :: nGC_3492 = 766
  integer, parameter :: nGC_5363 = 767
  integer, parameter :: nGC_5930 = 768
  integer, parameter :: nGC_4987 = 769
  integer, parameter :: nGC_5299 = 770
  integer, parameter :: nGC_3333 = 771
  integer, parameter :: nGC_6412 = 772
  integer, parameter :: nGC_9834 = 773
  integer, parameter :: nGC_5297 = 774
  integer, parameter :: nGC_3633 = 775
  integer, parameter :: nGC_3634 = 776
  integer, parameter :: nGC_3635 = 777
  integer, parameter :: nGC_3637 = 778
  integer, parameter :: nGC_3639 = 779
  integer, parameter :: nGC_3414 = 780
  integer, parameter :: nGC_6033 = 781
  integer, parameter :: nGC_6034 = 782
  integer, parameter :: nGC_3339 = 783
  integer, parameter :: nGC_3338 = 784
  integer, parameter :: nGC_3337 = 785
  integer, parameter :: nGC_3336 = 786
  integer, parameter :: nGC_3331 = 787
  integer, parameter :: nGC_3330 = 788
  integer, parameter :: nGC_5425 = 789
  integer, parameter :: nGC_3332 = 790
  integer, parameter :: nGC_3443 = 791
  integer, parameter :: nGC_3442 = 792
  integer, parameter :: nGC_3446 = 793
  integer, parameter :: nGC_3444 = 794
  integer, parameter :: nGC_3449 = 795
  integer, parameter :: nGC_3448 = 796
  integer, parameter :: nGC_7350 = 797
  integer, parameter :: nGC_3681 = 798
  integer, parameter :: nGC_3529 = 799
  integer, parameter :: nGC_3298 = 800
  integer, parameter :: nGC_3299 = 801
  integer, parameter :: nGC_3294 = 802
  integer, parameter :: nGC_3295 = 803
  integer, parameter :: nGC_3520 = 804
  integer, parameter :: nGC_3521 = 805
  integer, parameter :: nGC_3290 = 806
  integer, parameter :: nGC_5140 = 807
  integer, parameter :: nGC_5141 = 808
  integer, parameter :: nGC_5142 = 809
  integer, parameter :: nGC_5143 = 810
  integer, parameter :: nGC_5061 = 811
  integer, parameter :: nGC_5067 = 812
  integer, parameter :: nGC_3528 = 813
  integer, parameter :: nGC_5632 = 814
  integer, parameter :: nGC_5631 = 815
  integer, parameter :: nGC_5038 = 816
  integer, parameter :: nGC_6546 = 817
  integer, parameter :: nGC_3526 = 818
  integer, parameter :: nGC_3591 = 819
  integer, parameter :: nGC_3590 = 820
  integer, parameter :: nGC_3527 = 821
  integer, parameter :: nGC_3594 = 822
  integer, parameter :: nGC_3599 = 823
  integer, parameter :: nGC_3522 = 824
  integer, parameter :: nGC_5146 = 825
  integer, parameter :: nGC_5553 = 826
  integer, parameter :: nGC_5552 = 827
  integer, parameter :: nGC_5498 = 828
  integer, parameter :: nGC_5555 = 829
  integer, parameter :: nGC_5554 = 830
  integer, parameter :: nGC_5559 = 831
  integer, parameter :: nGC_5193 = 832
  integer, parameter :: nGC_5434 = 833
  integer, parameter :: nGC_5194 = 834
  integer, parameter :: nGC_6774 = 835
  integer, parameter :: nGC_3620 = 836
  integer, parameter :: nGC_3627 = 837
  integer, parameter :: nGC_3540 = 838
  integer, parameter :: nGC_3560 = 839
  integer, parameter :: nGC_3561 = 840
  integer, parameter :: nGC_3562 = 841
  integer, parameter :: nGC_3564 = 842
  integer, parameter :: nGC_3565 = 843
  integer, parameter :: nGC_3566 = 844
  integer, parameter :: nGC_3568 = 845
  integer, parameter :: nGC_3569 = 846
  integer, parameter :: nGC_3649 = 847
  integer, parameter :: nGC_3648 = 848
  integer, parameter :: nGC_3399 = 849
  integer, parameter :: nGC_3641 = 850
  integer, parameter :: nGC_3640 = 851
  integer, parameter :: nGC_3391 = 852
  integer, parameter :: nGC_3390 = 853
  integer, parameter :: nGC_3397 = 854
  integer, parameter :: nGC_3644 = 855
  integer, parameter :: nGC_3395 = 856
  integer, parameter :: nGC_3394 = 857
  integer, parameter :: nGC_5109 = 858
  integer, parameter :: nGC_5100 = 859
  integer, parameter :: nGC_5101 = 860
  integer, parameter :: nGC_5678 = 861
  integer, parameter :: nGC_5679 = 862
  integer, parameter :: nGC_5474 = 863
  integer, parameter :: nGC_5475 = 864
  integer, parameter :: nGC_3364 = 865
  integer, parameter :: nGC_3362 = 866
  integer, parameter :: nGC_3363 = 867
  integer, parameter :: nGC_3360 = 868
  integer, parameter :: nGC_3361 = 869
  integer, parameter :: nGC_3247 = 870
  integer, parameter :: nGC_5770 = 871
  integer, parameter :: nGC_3241 = 872
  integer, parameter :: nGC_3240 = 873
  integer, parameter :: nGC_3369 = 874
  integer, parameter :: nGC_5476 = 875
  integer, parameter :: nGC_3418 = 876
  integer, parameter :: nGC_6427 = 877
  integer, parameter :: nGC_3415 = 878
  integer, parameter :: nGC_3417 = 879
  integer, parameter :: nGC_3412 = 880
  integer, parameter :: nGC_3413 = 881
  integer, parameter :: nGC_5030 = 882
  integer, parameter :: nGC_3419 = 883
  integer, parameter :: nGC_5039 = 884
  integer, parameter :: nGC_6392 = 885
  integer, parameter :: nGC_3612 = 886
  integer, parameter :: nGC_3345 = 887
  integer, parameter :: nGC_5609 = 888
  integer, parameter :: nGC_3276 = 889
  integer, parameter :: nGC_10579 = 890
  integer, parameter :: nGC_3258 = 891
  integer, parameter :: nGC_3614 = 892
  integer, parameter :: nGC_5216 = 893
  integer, parameter :: nGC_3615 = 894
  integer, parameter :: nGC_9545 = 895
  integer, parameter :: nGC_5352 = 896
  integer, parameter :: nGC_6547 = 897
  integer, parameter :: nGC_7239 = 898
  integer, parameter :: nGC_5929 = 899
  integer, parameter :: nGC_6732 = 900
  integer, parameter :: nGC_6733 = 901
  integer, parameter :: nGC_6190 = 902
  integer, parameter :: nGC_4991 = 903
  integer, parameter :: nGC_4992 = 904
  integer, parameter :: nGC_5503 = 905
  integer, parameter :: nGC_3549 = 906
  integer, parameter :: nGC_3303 = 907
  integer, parameter :: nGC_3359 = 908
  integer, parameter :: nGC_3358 = 909
  integer, parameter :: nGC_3357 = 910
  integer, parameter :: nGC_3356 = 911
  integer, parameter :: nGC_3355 = 912
  integer, parameter :: nGC_3354 = 913
  integer, parameter :: nGC_3353 = 914
  integer, parameter :: nGC_3352 = 915
  integer, parameter :: nGC_6025 = 916
  integer, parameter :: nGC_5102 = 917
  integer, parameter :: nGC_3328 = 918
  integer, parameter :: nGC_3329 = 919
  integer, parameter :: nGC_3598 = 920
  integer, parameter :: nGC_3323 = 921
  integer, parameter :: nGC_3321 = 922
  integer, parameter :: nGC_3645 = 923
  integer, parameter :: nGC_3325 = 924
  integer, parameter :: nGC_3450 = 925
  integer, parameter :: nGC_3451 = 926
  integer, parameter :: nGC_3454 = 927
  integer, parameter :: nGC_3457 = 928
  integer, parameter :: nGC_3458 = 929
  integer, parameter :: nGC_3459 = 930
  integer, parameter :: nGC_6432 = 931
  integer, parameter :: nGC_3519 = 932
  integer, parameter :: nGC_3518 = 933
  integer, parameter :: nGC_3514 = 934
  integer, parameter :: nGC_5175 = 935
  integer, parameter :: nGC_9116 = 936
  integer, parameter :: nGC_5720 = 937
  integer, parameter :: nGC_3302 = 938
  integer, parameter :: nGC_5319 = 939
  integer, parameter :: nGC_5313 = 940
  integer, parameter :: nGC_242 = 941
  integer, parameter :: nGC_3589 = 942
  integer, parameter :: nGC_3586 = 943
  integer, parameter :: nGC_3587 = 944
  integer, parameter :: nGC_3584 = 945
  integer, parameter :: nGC_3585 = 946
  integer, parameter :: nGC_3582 = 947
  integer, parameter :: nGC_3583 = 948
  integer, parameter :: nGC_3539 = 949
  integer, parameter :: nGC_5829 = 950
  integer, parameter :: nGC_3538 = 951
  integer, parameter :: nGC_3289 = 952
  integer, parameter :: nGC_3653 = 953
  integer, parameter :: nGC_5980 = 954
  integer, parameter :: nGC_3469 = 955
  integer, parameter :: nGC_3503 = 956
  integer, parameter :: nGC_5268 = 957
  integer, parameter :: nGC_3541 = 958
  integer, parameter :: nGC_8086 = 959
  integer, parameter :: nGC_5263 = 960
  integer, parameter :: nGC_5262 = 961
  integer, parameter :: nGC_5265 = 962
  integer, parameter :: nGC_5264 = 963
  integer, parameter :: nGC_3531 = 964
  integer, parameter :: nGC_6299 = 965
  integer, parameter :: nGC_5180 = 966
  integer, parameter :: nGC_5181 = 967
  integer, parameter :: nGC_6700 = 968
  integer, parameter :: nGC_3509 = 969
  integer, parameter :: nGC_3680 = 970
  integer, parameter :: nGC_4966 = 971
  integer, parameter :: nGC_4960 = 972
  integer, parameter :: nGC_4963 = 973
  integer, parameter :: nGC_4962 = 974
  integer, parameter :: nGC_4969 = 975
  integer, parameter :: nGC_6420 = 976
  integer, parameter :: nGC_6853 = 977
  integer, parameter :: nGC_5563 = 978
  integer, parameter :: nGC_3410 = 979
  integer, parameter :: nGC_3411 = 980
  integer, parameter :: nGC_5199 = 981
  integer, parameter :: nGC_3494 = 982
  integer, parameter :: nGC_3495 = 983
  integer, parameter :: nGC_3491 = 984
  integer, parameter :: nGC_7751 = 985
  integer, parameter :: nGC_3493 = 986
  integer, parameter :: nGC_3498 = 987
  integer, parameter :: nGC_3499 = 988
  integer, parameter :: nGC_5769 = 989
  integer, parameter :: nGC_6790 = 990
  integer, parameter :: nGC_6791 = 991
  integer, parameter :: nGC_3318 = 992
  integer, parameter :: nGC_3256 = 993
  integer, parameter :: nGC_3254 = 994
  integer, parameter :: nGC_3255 = 995
  integer, parameter :: nGC_7907 = 996
  integer, parameter :: nGC_3238 = 997
  integer, parameter :: nGC_3239 = 998
  integer, parameter :: nGC_3237 = 999
  integer, parameter :: nGC_5088 = 1000
  integer, parameter :: nGC_6729 = 1001
  integer, parameter :: nGC_3334 = 1002
  integer, parameter :: nGC_6721 = 1003
  integer, parameter :: nGC_6720 = 1004
  integer, parameter :: nGC_5698 = 1005
  integer, parameter :: nGC_6451 = 1006
  integer, parameter :: nGC_6450 = 1007
  integer, parameter :: nGC_5696 = 1008
  integer, parameter :: nGC_5697 = 1009
  integer, parameter :: nGC_5594 = 1010
  integer, parameter :: nGC_5610 = 1011
  integer, parameter :: nGC_5611 = 1012
  integer, parameter :: nGC_3306 = 1013
  integer, parameter :: nGC_3284 = 1014
  integer, parameter :: nGC_3287 = 1015
  integer, parameter :: nGC_3288 = 1016
  integer, parameter :: nGC_5151 = 1017
  integer, parameter :: nGC_5017 = 1018
  integer, parameter :: nGC_5506 = 1019
  integer, parameter :: nGC_5013 = 1020
  integer, parameter :: nGC_5620 = 1021
  integer, parameter :: nGC_3335 = 1022
  integer, parameter :: nGC_5593 = 1023
  integer, parameter :: nGC_5426 = 1024
  integer, parameter :: nGC_5979 = 1025
  integer, parameter :: nGC_7352 = 1026
  integer, parameter :: nGC_3297 = 1027
  integer, parameter :: nGC_3292 = 1028
  integer, parameter :: nGC_3293 = 1029
  integer, parameter :: nGC_7752 = 1030
  integer, parameter :: nGC_5069 = 1031
  integer, parameter :: nGC_6472 = 1032
  integer, parameter :: nGC_5032 = 1033
  integer, parameter :: nGC_6744 = 1034
  integer, parameter :: nGC_5435 = 1035
  integer, parameter :: nGC_5630 = 1036
  integer, parameter :: nGC_6898 = 1037
  integer, parameter :: nGC_5320 = 1038
  integer, parameter :: nGC_5321 = 1039
  integer, parameter :: nGC_5322 = 1040
  integer, parameter :: nGC_3511 = 1041
  integer, parameter :: nGC_3510 = 1042
  integer, parameter :: nGC_6548 = 1043
  integer, parameter :: nGC_3517 = 1044
  integer, parameter :: nGC_3516 = 1045
  integer, parameter :: nGC_5246 = 1046
  integer, parameter :: nGC_5245 = 1047
  integer, parameter :: nGC_5408 = 1048
  integer, parameter :: nGC_4934 = 1049
  integer, parameter :: nGC_3291 = 1050
  integer, parameter :: nGC_3379 = 1051
  integer, parameter :: nGC_3505 = 1052
  integer, parameter :: nGC_3468 = 1053
  integer, parameter :: nGC_3500 = 1054
  integer, parameter :: nGC_5068 = 1055
  integer, parameter :: nGC_6043 = 1056
  integer, parameter :: nGC_5040 = 1057
  integer, parameter :: nGC_5042 = 1058
  integer, parameter :: nGC_5492 = 1059
  integer, parameter :: nGC_5049 = 1060
  integer, parameter :: nGC_6367 = 1061
  integer, parameter :: nGC_5168 = 1062
  integer, parameter :: nGC_5287 = 1063
  integer, parameter :: nGC_5256 = 1064
  integer, parameter :: nGC_5020 = 1065
  integer, parameter :: nGC_6368 = 1066
  integer, parameter :: nGC_7270 = 1067
  integer, parameter :: nGC_5932 = 1068
  integer, parameter :: nGC_4947 = 1069
  integer, parameter :: nGC_4945 = 1070
  integer, parameter :: nGC_5842 = 1071
  integer, parameter :: nGC_3478 = 1072
  integer, parameter :: nGC_3479 = 1073
  integer, parameter :: nGC_5195 = 1074
  integer, parameter :: nGC_7596 = 1075
  integer, parameter :: nGC_3472 = 1076
  integer, parameter :: nGC_3473 = 1077
  integer, parameter :: nGC_3470 = 1078
  integer, parameter :: nGC_3471 = 1079
  integer, parameter :: nGC_3476 = 1080
  integer, parameter :: nGC_3477 = 1081
  integer, parameter :: nGC_3474 = 1082
  integer, parameter :: nGC_3475 = 1083
  integer, parameter :: nGC_5052 = 1084
  integer, parameter :: nGC_5050 = 1085
  integer, parameter :: nGC_3536 = 1086
  integer, parameter :: nGC_5608 = 1087
  integer, parameter :: nGC_11069 = 1088
  integer, parameter :: nGC_5113 = 1089
  integer, parameter :: nGC_5931 = 1090
  integer, parameter :: nGC_6170 = 1091
  integer, parameter :: nGC_6171 = 1092
  integer, parameter :: nGC_5461 = 1093
  integer, parameter :: nGC_6273 = 1094
  integer, parameter :: nGC_6271 = 1095
  integer, parameter :: nGC_5436 = 1096
  integer, parameter :: nGC_9932 = 1097
  integer, parameter :: nGC_5831 = 1098
  integer, parameter :: nGC_5832 = 1099
  integer, parameter :: nGC_6434 = 1100
  integer, parameter :: nGC_7413 = 1101
  integer, parameter :: nGC_6431 = 1102
  integer, parameter :: nGC_6433 = 1103
  integer, parameter :: nGC_3408 = 1104
  integer, parameter :: nGC_3407 = 1105
  integer, parameter :: nGC_5577 = 1106
  integer, parameter :: nGC_5576 = 1107
  integer, parameter :: nGC_3486 = 1108
  integer, parameter :: nGC_3485 = 1109
  integer, parameter :: nGC_3484 = 1110
  integer, parameter :: nGC_3483 = 1111
  integer, parameter :: nGC_3482 = 1112
  integer, parameter :: nGC_3481 = 1113
  integer, parameter :: nGC_3480 = 1114
  integer, parameter :: nGC_3488 = 1115
  integer, parameter :: nGC_3243 = 1116
  integer, parameter :: nGC_3244 = 1117
  integer, parameter :: nGC_6309 = 1118
  integer, parameter :: nGC_3242 = 1119
  integer, parameter :: nGC_5171 = 1120
  integer, parameter :: nGC_5170 = 1121
  integer, parameter :: nGC_10013 = 1122
  integer, parameter :: nGC_5152 = 1123
  integer, parameter :: nGC_6899 = 1124
  integer, parameter :: nGC_5596 = 1125
  integer, parameter :: nGC_6903 = 1126
  integer, parameter :: nGC_6902 = 1127
  integer, parameter :: nGC_10436 = 1128
  integer, parameter :: nGC_5595 = 1129
  integer, parameter :: nGC_5288 = 1130
  integer, parameter :: nGC_11027 = 1131
  integer, parameter :: nGC_5488 = 1132
  integer, parameter :: nGC_5487 = 1133
  integer, parameter :: nGC_9596 = 1134
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
