!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-10 21:24             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_3679) = cima*dMW2_QED2
      coupl(nGC_3603) = cima*dyup_QED3
      coupl(nGC_GG) = cima*dt_QED1/vev
      coupl(nGC_3618) = coupl(nGC_3223)*dys_QED1_QCD2
      coupl(nGC_3619) = coupl(nGC_3223)*dys_QED3
      coupl(nGC_6193) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_3669) = -cima*dMC_QCD2
      coupl(nGC_3667) = -cima*dMU_QCD2
      coupl(nGC_3666) = -cima*dMU_QED2
      coupl(nGC_3665) = -cima*dMTA_QED2
      coupl(nGC_3664) = -cima*dMM_QED2
      coupl(nGC_3663) = -cima*dME_QED2
      coupl(nGC_3661) = -cima*dMH2_QED2
      coupl(nGC_GGH) = -cima*dt_QED1/vev**2d0
      coupl(nGC_5300) = coupl(nGC_3619) + coupl(nGC_76)*dZsL_QED2/2d0 + coupl( &
                        nGC_76)*dZsR_QED2/2d0
      coupl(nGC_6718) = coupl(nGC_4)*dZmuMinusL_QED2 + coupl(nGC_40)*dZZA_QED2/&
                        2d0
      coupl(nGC_5083) = coupl(nGC_23)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_5691) = coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_3285) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34 &
                        )**2d0 + coupl(nGC_1)*coupl(nGC_54)*coupl(nGC_56) +    &
                        coupl(nGC_1)*coupl(nGC_55)**2d0 + coupl(nGC_2)*coupl(  &
                        nGC_53)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8085) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_5230) = coupl(nGC_1)*dZAZ_QED2/2d0
      coupl(nGC_5236) = coupl(nGC_34)*dZbR_QCD2
      coupl(nGC_3563) = coupl(nGC_3135)*dZee_QED2 + coupl(nGC_3136)*dsw_QED2 + &
                        coupl(nGC_3137)*dMZ2_QED2
      coupl(nGC_5483) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_5243) = coupl(nGC_29)*dZAZ_QED2
      coupl(nGC_7267) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_3668) = -cima*dMC_QED2
      coupl(nGC_3375) = coupl(nGC_11)**2d0*coupl(nGC_86)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5098) = coupl(nGC_75)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_5099) = coupl(nGC_75)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_6318) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_5053) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_5057) = -coupl(nGC_5053)
      coupl(nGC_3674) = -cima*dMS_QED2
      coupl(nGC_7363) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_3676) = -cima*dMB_QED2
      coupl(nGC_3677) = -cima*dMB_QCD2
      coupl(nGC_3670) = -cima*dMT_QED2
      coupl(nGC_3671) = -cima*dMT_QCD2
      coupl(nGC_3672) = -cima*dMD_QED2
      coupl(nGC_3673) = -cima*dMD_QCD2
      coupl(nGC_3270) = -Nc*cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_3271) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0  &
                         + cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_3272) = cima*sq2**2d0*(-Nc*coupl(nGC_10)**2d0 + 4d0*coupl(     &
                        nGC_11)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_5464) = coupl(nGC_MI)*dZAZ_QED2/2d0
      coupl(nGC_3274) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 &
                         - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi &
                        **2d0*Nc)
      coupl(nGC_3278) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_5472) = coupl(nGC_59)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_5473) = coupl(nGC_59)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_5478) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_HHHH) = -3d0*cima*dt_QED1/vev**3d0
      coupl(nGC_8005) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_3496) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 - &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5367) = coupl(nGC_29)*dZZA_QED2
      coupl(nGC_5362) = coupl(nGC_23)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_6317) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_8020) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_8021) = -coupl(nGC_8020)
      coupl(nGC_6319) = coupl(nGC_MB)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_3273) = cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_3588) = coupl(nGC_3183)*dZee_QED2 + coupl(nGC_3184)*dsw_QED2 + &
                        coupl(nGC_3185)*dcw_QED2
      coupl(nGC_3630) = -cima*dye_QED3
      coupl(nGC_5298) = coupl(nGC_3618) + coupl(nGC_76)*dZsL_QCD2/2d0 + coupl( &
                        nGC_76)*dZsR_QCD2/2d0
      coupl(nGC_3632) = -cima*dytau_QED3
      coupl(nGC_3636) = coupl(nGC_3222)*dym_QED3
      coupl(nGC_8083) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_3440) = -coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10&
                        ) + coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_3631) = -cima*dym_QED3
      coupl(nGC_3447) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_34)**2d0 - coupl(nGC_53)**2d0 - coupl(nGC_54)*coupl&
                        (nGC_56) - coupl(nGC_55)**2d0)/(64d0*pi**2d0)
      coupl(nGC_3416) = coupl(nGC_11)**2d0*coupl(nGC_34)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_3445) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_34)**2d0 + coupl(nGC_53)**2d0 + coupl(nGC_54)*coupl&
                        (nGC_56) + coupl(nGC_55)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_6031) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_6032) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_7351) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_3682) = coupl(nGC_152)*dMZ2_QED2
      coupl(nGC_3296) = coupl(nGC_11)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_4974) = coupl(nGC_11)*dZuL_QED2
      coupl(nGC_5066) = coupl(nGC_19)*dZZA_QED2/2d0 + coupl(nGC_5)*dZAZ_QED2/2d0
      coupl(nGC_3497) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_GPGMGPGM) = -2d0*cima*dt_QED1/vev**3d0
      coupl(nGC_9213) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_3525) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(64d0*pi**2d0)
      coupl(nGC_3593) = coupl(nGC_3128)*dZee_QED2 + coupl(nGC_3129)*dsw_QED2
      coupl(nGC_3595) = coupl(nGC_3161)*dZee_QED2 + coupl(nGC_3162)*dsw_QED2 + &
                        coupl(nGC_3163)*dcw_QED2
      coupl(nGC_3597) = coupl(nGC_3155)*dZee_QED2 + coupl(nGC_3156)*dsw_QED2 + &
                        coupl(nGC_3157)*dcw_QED2
      coupl(nGC_3596) = coupl(nGC_3167)*dZee_QED2 + coupl(nGC_3168)*dsw_QED2 + &
                        coupl(nGC_3169)*dcw_QED2
      coupl(nGC_3523) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_5557) = coupl(nGC_11)*dZcR_QCD2
      coupl(nGC_5556) = coupl(nGC_11)*dZcR_QED2
      coupl(nGC_5433) = coupl(nGC_4)*dZtauMinusL_QED2 + coupl(nGC_40)*dZZA_QED2&
                        /2d0
      coupl(nGC_3638) = coupl(nGC_3229)*dytau_QED3
      coupl(nGC_5558) = coupl(nGC_11)*dZcL_QED2
      coupl(nGC_7368) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_7369) = coupl(nGC_3666) + coupl(nGC_7363)
      coupl(nGC_3678) = cima*dMZ2_QED2
      coupl(nGC_3396) = coupl(nGC_11)**2d0*coupl(nGC_75)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_5192) = coupl(nGC_55)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_5191) = coupl(nGC_55)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_5786) = coupl(nGC_11)*dZsR_QCD2
      coupl(nGC_5787) = coupl(nGC_11)*dZsL_QED2
      coupl(nGC_6773) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_3675) = -cima*dMS_QCD2
      coupl(nGC_5788) = coupl(nGC_11)*dZsL_QCD2
      coupl(nGC_7361) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_HHGG) = -cima*dt_QED1/vev**3d0
      coupl(nGC_7367) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_4959) = coupl(nGC_4)*dZeMinusL_QED2 + coupl(nGC_40)*dZZA_QED2/ &
                        2d0
      coupl(nGC_7364) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_4951) = coupl(nGC_23)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_4952) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*       &
                        dZbL_QED2/2d0 + coupl(nGC_23)*dZtL_QED2/2d0 + coupl(   &
                        nGC_3593)
      coupl(nGC_3567) = -cima*dlam_QED4
      coupl(nGC_3547) = cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_3643) = coupl(nGC_3235)*dyup_QED3
      coupl(nGC_3642) = coupl(nGC_3235)*dyup_QED1_QCD2
      coupl(nGC_3647) = coupl(nGC_3208)*dyc_QED3
      coupl(nGC_3646) = coupl(nGC_3208)*dyc_QED1_QCD2
      coupl(nGC_5123) = coupl(nGC_11)*dZtR_QCD2
      coupl(nGC_3367) = coupl(nGC_11)**2d0*coupl(nGC_74)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3365) = coupl(nGC_11)**2d0*coupl(nGC_76)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3249) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_3248) = cMB*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_3245) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_7349) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_5031) = coupl(nGC_3643) + coupl(nGC_86)*dZuL_QED2/2d0 + coupl( &
                        nGC_86)*dZuR_QED2/2d0
      coupl(nGC_5466) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_5465) = coupl(nGC_MI)*dZZA_QED2/2d0
      coupl(nGC_3610) = -cima*dyb_QED1_QCD2
      coupl(nGC_3611) = -cima*dyb_QED3
      coupl(nGC_3616) = coupl(nGC_3224)*dys_QED1_QCD2
      coupl(nGC_3617) = coupl(nGC_3224)*dys_QED3
      coupl(nGC_8045) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_6320) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_6323) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_6325) = coupl(nGC_3676) + coupl(nGC_6319)
      coupl(nGC_6324) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_6326) = coupl(nGC_3677) + coupl(nGC_6320)
      coupl(nGC_5922) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_5925) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_3277) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(    &
                        nGC_38))/(8d0*pi**2d0)
      coupl(nGC_3301) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4 &
                        )**2d0 + coupl(nGC_70)*coupl(nGC_72) + coupl(nGC_71)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_5504) = coupl(nGC_34)*dZZ_QED2/2d0 + coupl(nGC_34)*dZdR_QED2 + &
                        coupl(nGC_3597)
      coupl(nGC_5505) = coupl(nGC_5230) + coupl(nGC_5504)
      coupl(nGC_6785) = coupl(nGC_79)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_5501) = coupl(nGC_34)*dZdR_QCD2
      coupl(nGC_3304) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23&
                        )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_69)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3609) = cima*dyt_QED3
      coupl(nGC_3608) = cima*dyt_QED1_QCD2
      coupl(nGC_3605) = cima*dyc_QED3
      coupl(nGC_3604) = cima*dyc_QED1_QCD2
      coupl(nGC_3607) = -cima*dys_QED3
      coupl(nGC_3606) = -cima*dys_QED1_QCD2
      coupl(nGC_3601) = -cima*dydo_QED3
      coupl(nGC_3600) = -cima*dydo_QED1_QCD2
      coupl(nGC_3351) = coupl(nGC_11)**2d0*coupl(nGC_54)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3602) = cima*dyup_QED1_QCD2
      coupl(nGC_6026) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_6027) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_6978) = coupl(nGC_3661) + coupl(nGC_MH)*dZH_QED2
      coupl(nGC_6975) = coupl(nGC_I)*dZH_QED2
      coupl(nGC_6028) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_3322) = coupl(nGC_11)**2d0*coupl(nGC_77)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3320) = coupl(nGC_11)**2d0*coupl(nGC_53)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3326) = coupl(nGC_11)**2d0*coupl(nGC_73)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3324) = coupl(nGC_11)**2d0*coupl(nGC_57)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3452) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_57)**&
                        2d0 - coupl(nGC_74)*coupl(nGC_76) - coupl(nGC_75)**2d0 &
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_3453) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_34)**2d0 - coupl(nGC_73)**2d0 - coupl(nGC_74)*coupl&
                        (nGC_76) - coupl(nGC_75)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_3455) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_57)**&
                        2d0 + coupl(nGC_74)*coupl(nGC_76) + coupl(nGC_75)**2d0 &
                        )/(64d0*pi**2d0)
      coupl(nGC_3456) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_34)**2d0 + coupl(nGC_73)**2d0 + coupl(nGC_74)*coupl&
                        (nGC_76) + coupl(nGC_75)**2d0)/(64d0*pi**2d0)
      coupl(nGC_6698) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_3621) = coupl(nGC_3206)*dyb_QED3
      coupl(nGC_3513) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_34) + coupl(nGC_1)*coupl(nGC_38) + coupl(nGC_2)*   &
                        coupl(nGC_35) + coupl(nGC_2)*coupl(nGC_39))/(32d0*pi** &
                        2d0)
      coupl(nGC_3512) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl( &
                        nGC_34) - coupl(nGC_1)*coupl(nGC_38) - coupl(nGC_2)*   &
                        coupl(nGC_35) - coupl(nGC_2)*coupl(nGC_39))/(32d0*pi** &
                        2d0*Nc)
      coupl(nGC_3515) = -cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_6061) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_5179) = coupl(nGC_71)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
      coupl(nGC_6293) = coupl(nGC_11)*dZdL_QCD2
      coupl(nGC_6292) = coupl(nGC_11)*dZdL_QED2
      coupl(nGC_6295) = coupl(nGC_11)*dZdR_QCD2
      coupl(nGC_6294) = coupl(nGC_11)*dZdR_QED2
      coupl(nGC_6784) = coupl(nGC_79)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_6365) = coupl(nGC_1)*dZbL_QED2 + coupl(nGC_38)*dZZA_QED2/2d0
      coupl(nGC_3281) = cMTA*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4  &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_6366) = coupl(nGC_1)*dZbR_QED2 + coupl(nGC_34)*dZZA_QED2/2d0
      coupl(nGC_6360) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_6363) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_3280) = cMT*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_6411) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_6410) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_3580) = coupl(nGC_3170)*dZee_QED2 + coupl(nGC_3171)*dsw_QED2 + &
                        coupl(nGC_3172)*dcw_QED2
      coupl(nGC_3581) = coupl(nGC_3164)*dZee_QED2 + coupl(nGC_3165)*dsw_QED2 + &
                        coupl(nGC_3166)*dcw_QED2
      coupl(nGC_6167) = coupl(nGC_35)*dZcR_QCD2
      coupl(nGC_6164) = coupl(nGC_39)*dZcL_QCD2
      coupl(nGC_6169) = coupl(nGC_3595) + coupl(nGC_39)*dZZ_QED2/2d0 + coupl(  &
                        nGC_39)*dZcL_QED2
      coupl(nGC_5828) = coupl(nGC_1)*dZsL_QED2 + coupl(nGC_38)*dZZA_QED2/2d0
      coupl(nGC_5826) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_5821) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_5382) = coupl(nGC_34)*dZsR_QCD2
      coupl(nGC_5386) = coupl(nGC_34)*dZZ_QED2/2d0 + coupl(nGC_34)*dZsR_QED2 + &
                        coupl(nGC_3597)
      coupl(nGC_5387) = coupl(nGC_3596) + coupl(nGC_38)*dZZ_QED2/2d0 + coupl(  &
                        nGC_38)*dZsL_QED2
      coupl(nGC_5385) = coupl(nGC_38)*dZsL_QCD2
      coupl(nGC_5261) = coupl(nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_5388) = coupl(nGC_5230) + coupl(nGC_5386)
      coupl(nGC_5389) = coupl(nGC_5230) + coupl(nGC_5387)
      coupl(nGC_3530) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl&
                        (nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(128d0*pi**  &
                        2d0)
      coupl(nGC_3524) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl&
                        (nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_3350) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_54) - coupl(nGC_1126)*&
                        coupl(nGC_23)*coupl(nGC_53) - coupl(nGC_1296)*coupl(   &
                        nGC_38)*coupl(nGC_55) - coupl(nGC_34)*coupl(nGC_37)*   &
                        coupl(nGC_55) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                        nGC_54) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_78) -  &
                        coupl(nGC_54)**2d0*coupl(nGC_56) - coupl(nGC_55)**2d0* &
                        coupl(nGC_56))/(32d0*pi**2d0)
      coupl(nGC_5185) = coupl(nGC_3588) + coupl(nGC_42)*dZAZ_QED2 + coupl(     &
                        nGC_45)*dZZ_QED2
      coupl(nGC_3508) = (-32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_55)**2d0 - &
                        32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_63)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_75)**2d0 +   &
                        40d0*Nc*cima*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_55  &
                        )**2d0 + 40d0*Nc*cima*coupl(nGC_34)*coupl(nGC_38)*coupl&
                        (nGC_63)**2d0 + 40d0*Nc*cima*coupl(nGC_34)*coupl(nGC_38&
                        )*coupl(nGC_75)**2d0 - 32d0*Nc*cima*coupl(nGC_35)**2d0*&
                        coupl(nGC_59)**2d0 - 32d0*Nc*cima*coupl(nGC_35)**2d0*  &
                        coupl(nGC_79)**2d0 - 32d0*Nc*cima*coupl(nGC_35)**2d0*  &
                        coupl(nGC_87)**2d0 + 40d0*Nc*cima*coupl(nGC_35)*coupl( &
                        nGC_39)*coupl(nGC_59)**2d0 + 40d0*Nc*cima*coupl(nGC_35 &
                        )*coupl(nGC_39)*coupl(nGC_79)**2d0 + 40d0*Nc*cima*coupl&
                        (nGC_35)*coupl(nGC_39)*coupl(nGC_87)**2d0 - 32d0*Nc*   &
                        cima*coupl(nGC_38)**2d0*coupl(nGC_55)**2d0 - 32d0*Nc*  &
                        cima*coupl(nGC_38)**2d0*coupl(nGC_63)**2d0 - 32d0*Nc*  &
                        cima*coupl(nGC_38)**2d0*coupl(nGC_75)**2d0 - 32d0*Nc*  &
                        cima*coupl(nGC_39)**2d0*coupl(nGC_59)**2d0 - 32d0*Nc*  &
                        cima*coupl(nGC_39)**2d0*coupl(nGC_79)**2d0 - 32d0*Nc*  &
                        cima*coupl(nGC_39)**2d0*coupl(nGC_87)**2d0 + 4d0*cima* &
                        coupl(nGC_1038)*coupl(nGC_1352)**2d0*coupl(nGC_20) +   &
                        9d0*cima*coupl(nGC_1038)*coupl(nGC_20)*coupl(nGC_320)**&
                        2d0 + 4d0*cima*coupl(nGC_1296)**2d0*coupl(nGC_37)**2d0 &
                         + 12d0*cima*coupl(nGC_17)*coupl(nGC_184) + 9d0*cima*  &
                        coupl(nGC_21)*coupl(nGC_25)**2d0*coupl(nGC_604) + 4d0* &
                        cima*coupl(nGC_21)*coupl(nGC_40)**2d0*coupl(nGC_604) - &
                        32d0*cima*coupl(nGC_36)**2d0*coupl(nGC_67)**2d0 - 32d0*&
                        cima*coupl(nGC_36)**2d0*coupl(nGC_71)**2d0 - 32d0*cima*&
                        coupl(nGC_36)**2d0*coupl(nGC_83)**2d0 + 40d0*cima*coupl&
                        (nGC_36)*coupl(nGC_40)*coupl(nGC_67)**2d0 + 40d0*cima* &
                        coupl(nGC_36)*coupl(nGC_40)*coupl(nGC_71)**2d0 + 40d0* &
                        cima*coupl(nGC_36)*coupl(nGC_40)*coupl(nGC_83)**2d0 -  &
                        32d0*cima*coupl(nGC_40)**2d0*coupl(nGC_67)**2d0 - 32d0*&
                        cima*coupl(nGC_40)**2d0*coupl(nGC_71)**2d0 - 32d0*cima*&
                        coupl(nGC_40)**2d0*coupl(nGC_83)**2d0 - 3d0*coupl(     &
                        nGC_1038)*coupl(nGC_184)*coupl(nGC_20) + 3d0*coupl(    &
                        nGC_1038)*coupl(nGC_20)*coupl(nGC_45) - 6d0*coupl(     &
                        nGC_1038)*coupl(nGC_320)*coupl(nGC_8) + 3d0*coupl(     &
                        nGC_1296)*coupl(nGC_37)*coupl(nGC_46) + 18d0*coupl(    &
                        nGC_17)*coupl(nGC_25)**2d0 + 18d0*coupl(nGC_17)*coupl( &
                        nGC_320)**2d0 - 3d0*coupl(nGC_184)*coupl(nGC_21)*coupl(&
                        nGC_604) - 6d0*coupl(nGC_20)*coupl(nGC_320)*coupl(nGC_8&
                        ) - 6d0*coupl(nGC_21)*coupl(nGC_25)*coupl(nGC_8) + 3d0*&
                        coupl(nGC_21)*coupl(nGC_45)*coupl(nGC_604) - 6d0*coupl(&
                        nGC_25)*coupl(nGC_604)*coupl(nGC_8))/(96d0*pi**2d0)
      coupl(nGC_6062) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_6063) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_6060) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_6066) = coupl(nGC_3669) + coupl(nGC_6062)
      coupl(nGC_6064) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_6065) = coupl(nGC_3668) + coupl(nGC_6061)
      coupl(nGC_4961) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_4)*            &
                        dZeMinusR_QED2
      coupl(nGC_HHH) = -3d0*cima*dt_QED1/vev**2d0
      coupl(nGC_7362) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_3441) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(&
                        nGC_35)**2d0 - coupl(nGC_57)**2d0 - coupl(nGC_58)*coupl&
                        (nGC_60) - coupl(nGC_59)**2d0)/(64d0*pi**2d0)
      coupl(nGC_3656) = coupl(nGC_3216)*dyc_QED1_QCD2
      coupl(nGC_3657) = coupl(nGC_3216)*dyc_QED3
      coupl(nGC_3654) = coupl(nGC_3234)*dyup_QED1_QCD2
      coupl(nGC_3655) = coupl(nGC_3234)*dyup_QED3
      coupl(nGC_3559) = coupl(nGC_3152)*dsw_QED2 + coupl(nGC_3153)*dMW2_QED2 + &
                        coupl(nGC_3154)*dZee_QED2
      coupl(nGC_3558) = coupl(nGC_3146)*dsw_QED2 + coupl(nGC_3147)*dMW2_QED2 + &
                        coupl(nGC_3148)*dZee_QED2
      coupl(nGC_3650) = coupl(nGC_3228)*dyt_QED1_QCD2
      coupl(nGC_3651) = coupl(nGC_3228)*dyt_QED3
      coupl(nGC_3555) = coupl(nGC_3114)*dZee_QED2 + coupl(nGC_3115)*dsw_QED2 + &
                        coupl(nGC_3116)*dcw_QED2
      coupl(nGC_3554) = coupl(nGC_3138)*dZee_QED2 + coupl(nGC_3139)*dsw_QED2 + &
                        coupl(nGC_3140)*dcw_QED2
      coupl(nGC_3557) = coupl(nGC_3107)*dMW2_QED2 + coupl(nGC_3108)*dZee_QED2
      coupl(nGC_3556) = coupl(nGC_3094)*dZee_QED2
      coupl(nGC_3551) = coupl(nGC_3099)*dZee_QED2
      coupl(nGC_3550) = coupl(nGC_3092)*dZee_QED2
      coupl(nGC_3553) = coupl(nGC_3112)*dZee_QED2 + coupl(nGC_3113)*dsw_QED2
      coupl(nGC_3552) = coupl(nGC_3130)*dZee_QED2 + coupl(nGC_3131)*dsw_QED2 + &
                        coupl(nGC_3132)*dcw_QED2
      coupl(nGC_3388) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_63) - coupl(nGC_1296)*&
                        coupl(nGC_34)*coupl(nGC_62) - coupl(nGC_20)*coupl(     &
                        nGC_23)*coupl(nGC_61) + 8d0*coupl(nGC_34)*coupl(nGC_38 &
                        )*coupl(nGC_63) - coupl(nGC_37)*coupl(nGC_38)*coupl(   &
                        nGC_62) - coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_87) -  &
                        coupl(nGC_62)**2d0*coupl(nGC_63) - coupl(nGC_63)**3d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3389) = coupl(nGC_11)**2d0*coupl(nGC_63)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3380) = (-8d0*Nc*cMB*coupl(nGC_34)**2d0*coupl(nGC_55) + 8d0*Nc*&
                        cMB*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_55) - 8d0*Nc*&
                        cMB*coupl(nGC_38)**2d0*coupl(nGC_55) - 8d0*Nc*cMC*coupl&
                        (nGC_35)**2d0*coupl(nGC_59) + 8d0*Nc*cMC*coupl(nGC_35)*&
                        coupl(nGC_39)*coupl(nGC_59) - 8d0*Nc*cMC*coupl(nGC_39  &
                        )**2d0*coupl(nGC_59) - 8d0*Nc*cMD*coupl(nGC_34)**2d0*  &
                        coupl(nGC_63) + 8d0*Nc*cMD*coupl(nGC_34)*coupl(nGC_38)*&
                        coupl(nGC_63) - 8d0*Nc*cMD*coupl(nGC_38)**2d0*coupl(   &
                        nGC_63) - 8d0*Nc*cMS*coupl(nGC_34)**2d0*coupl(nGC_75   &
                        ) + 8d0*Nc*cMS*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_75&
                        ) - 8d0*Nc*cMS*coupl(nGC_38)**2d0*coupl(nGC_75) - 8d0* &
                        Nc*cMT*coupl(nGC_35)**2d0*coupl(nGC_79) + 8d0*Nc*cMT*  &
                        coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_79) - 8d0*Nc*cMT*&
                        coupl(nGC_39)**2d0*coupl(nGC_79) - 8d0*Nc*cMU*coupl(   &
                        nGC_35)**2d0*coupl(nGC_87) + 8d0*Nc*cMU*coupl(nGC_35)* &
                        coupl(nGC_39)*coupl(nGC_87) - 8d0*Nc*cMU*coupl(nGC_39  &
                        )**2d0*coupl(nGC_87) - 8d0*cME*coupl(nGC_36)**2d0*coupl&
                        (nGC_67) + 8d0*cME*coupl(nGC_36)*coupl(nGC_40)*coupl(  &
                        nGC_67) - 8d0*cME*coupl(nGC_40)**2d0*coupl(nGC_67) -   &
                        8d0*cMM*coupl(nGC_36)**2d0*coupl(nGC_71) + 8d0*cMM*    &
                        coupl(nGC_36)*coupl(nGC_40)*coupl(nGC_71) - 8d0*cMM*   &
                        coupl(nGC_40)**2d0*coupl(nGC_71) - 8d0*cMTA*coupl(     &
                        nGC_36)**2d0*coupl(nGC_83) + 8d0*cMTA*coupl(nGC_36)*   &
                        coupl(nGC_40)*coupl(nGC_83) - 8d0*cMTA*coupl(nGC_40)** &
                        2d0*coupl(nGC_83) + 4d0*cima*coupl(nGC_184)*coupl(     &
                        nGC_50) - coupl(nGC_1038)*coupl(nGC_320)*coupl(nGC_47  &
                        ) - coupl(nGC_20)*coupl(nGC_320)*coupl(nGC_47) - coupl(&
                        nGC_21)*coupl(nGC_25)*coupl(nGC_47) + 6d0*coupl(nGC_25 &
                        )**2d0*coupl(nGC_50) - coupl(nGC_25)*coupl(nGC_47)*    &
                        coupl(nGC_604) + 6d0*coupl(nGC_320)**2d0*coupl(nGC_50  &
                        ))/(32d0*pi**2d0)
      coupl(nGC_3381) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_55) - coupl(nGC_1038)*&
                        coupl(nGC_23)*coupl(nGC_53) - coupl(nGC_1296)*coupl(   &
                        nGC_38)*coupl(nGC_56) - coupl(nGC_34)*coupl(nGC_37)*   &
                        coupl(nGC_56) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                        nGC_55) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) -  &
                        coupl(nGC_55)**3d0 - coupl(nGC_55)*coupl(nGC_56)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3382) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_55) - coupl(nGC_1296)*&
                        coupl(nGC_34)*coupl(nGC_54) - coupl(nGC_20)*coupl(     &
                        nGC_23)*coupl(nGC_53) + 8d0*coupl(nGC_34)*coupl(nGC_38 &
                        )*coupl(nGC_55) - coupl(nGC_37)*coupl(nGC_38)*coupl(   &
                        nGC_54) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) -  &
                        coupl(nGC_54)**2d0*coupl(nGC_55) - coupl(nGC_55)**3d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3383) = coupl(nGC_11)**2d0*coupl(nGC_55)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3384) = (-coupl(nGC_1296)*coupl(nGC_39)*coupl(nGC_58) + 8d0*   &
                        coupl(nGC_2)**2d0*coupl(nGC_59) - coupl(nGC_23)*coupl( &
                        nGC_57)*coupl(nGC_604) - coupl(nGC_35)*coupl(nGC_37)*  &
                        coupl(nGC_58) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                        nGC_59) - coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_75) -  &
                        coupl(nGC_58)**2d0*coupl(nGC_59) - coupl(nGC_59)**3d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3385) = (-coupl(nGC_1296)*coupl(nGC_35)*coupl(nGC_60) + 8d0*   &
                        coupl(nGC_2)**2d0*coupl(nGC_59) - coupl(nGC_21)*coupl( &
                        nGC_23)*coupl(nGC_57) + 8d0*coupl(nGC_35)*coupl(nGC_39 &
                        )*coupl(nGC_59) - coupl(nGC_37)*coupl(nGC_39)*coupl(   &
                        nGC_60) - coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_75) -  &
                        coupl(nGC_59)**3d0 - coupl(nGC_59)*coupl(nGC_60)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3386) = coupl(nGC_11)**2d0*coupl(nGC_59)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3387) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_63) - coupl(nGC_1038)*&
                        coupl(nGC_23)*coupl(nGC_61) - coupl(nGC_1296)*coupl(   &
                        nGC_38)*coupl(nGC_64) - coupl(nGC_34)*coupl(nGC_37)*   &
                        coupl(nGC_64) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                        nGC_63) - coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_87) -  &
                        coupl(nGC_63)**3d0 - coupl(nGC_63)*coupl(nGC_64)**2d0  &
                        )/(32d0*pi**2d0)
      coupl(nGC_3313) = (coupl(nGC_1)*coupl(nGC_85)**2d0 + 4d0*coupl(nGC_2)**  &
                        3d0 + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2&
                        )*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_2)*coupl(    &
                        nGC_87)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3311) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4&
                        )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(  &
                        nGC_4)*coupl(nGC_82)*coupl(nGC_84) + coupl(nGC_4)*coupl&
                        (nGC_83)**2d0)/(32d0*pi**2d0)
      coupl(nGC_3310) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4 &
                        )**2d0 + coupl(nGC_82)*coupl(nGC_84) + coupl(nGC_83)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_3317) = (4d0*Nc*coupl(nGC_34)*coupl(nGC_53)**2d0 + 4d0*Nc*coupl&
                        (nGC_34)*coupl(nGC_61)**2d0 + 4d0*Nc*coupl(nGC_34)*    &
                        coupl(nGC_73)**2d0 - 4d0*Nc*coupl(nGC_35)*coupl(nGC_57 &
                        )**2d0 - 4d0*Nc*coupl(nGC_35)*coupl(nGC_77)**2d0 - 4d0*&
                        Nc*coupl(nGC_35)*coupl(nGC_85)**2d0 + 4d0*Nc*coupl(    &
                        nGC_38)*coupl(nGC_57)**2d0 + 4d0*Nc*coupl(nGC_38)*coupl&
                        (nGC_77)**2d0 + 4d0*Nc*coupl(nGC_38)*coupl(nGC_85)**2d0&
                         - 4d0*Nc*coupl(nGC_39)*coupl(nGC_53)**2d0 - 4d0*Nc*   &
                        coupl(nGC_39)*coupl(nGC_61)**2d0 - 4d0*Nc*coupl(nGC_39 &
                        )*coupl(nGC_73)**2d0 - 6d0*coupl(nGC_1038)*coupl(nGC_20&
                        )*coupl(nGC_25) + coupl(nGC_1126)*coupl(nGC_1296)*coupl&
                        (nGC_604) - 6d0*coupl(nGC_1126)*coupl(nGC_22)*coupl(   &
                        nGC_25) + coupl(nGC_1352)**2d0*coupl(nGC_40) + coupl(  &
                        nGC_21)*coupl(nGC_22)*coupl(nGC_37) + coupl(nGC_214)** &
                        2d0*coupl(nGC_40) + 4d0*coupl(nGC_36)*coupl(nGC_65)**  &
                        2d0 + 4d0*coupl(nGC_36)*coupl(nGC_69)**2d0 + 4d0*coupl(&
                        nGC_36)*coupl(nGC_81)**2d0 - 4d0*coupl(nGC_41)*coupl(  &
                        nGC_65)**2d0 - 4d0*coupl(nGC_41)*coupl(nGC_69)**2d0 -  &
                        4d0*coupl(nGC_41)*coupl(nGC_81)**2d0)/(96d0*pi**2d0)
      coupl(nGC_3316) = (-4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_54) +   &
                        4d0*Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_58) - 4d0*&
                        Nc*coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_62) - 4d0*Nc* &
                        coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_74) + 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_77)*coupl(nGC_78) + 4d0*Nc*    &
                        coupl(nGC_23)*coupl(nGC_85)*coupl(nGC_86) - 6d0*coupl( &
                        nGC_1126)*coupl(nGC_25)*coupl(nGC_40) - 6d0*coupl(     &
                        nGC_1126)*coupl(nGC_3)*coupl(nGC_4) - 6d0*coupl(       &
                        nGC_1296)*coupl(nGC_20)*coupl(nGC_320) + coupl(nGC_1352&
                        )*coupl(nGC_20)*coupl(nGC_37) + coupl(nGC_22)**3d0 +   &
                        coupl(nGC_22)*coupl(nGC_604)**2d0 - 4d0*coupl(nGC_23)* &
                        coupl(nGC_65)*coupl(nGC_66) - 4d0*coupl(nGC_23)*coupl( &
                        nGC_69)*coupl(nGC_70) - 4d0*coupl(nGC_23)*coupl(nGC_81 &
                        )*coupl(nGC_82))/(96d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
